Retrieve a user in a user group
Retrieves a user in the specified user group, providing details about the user's membership and attributes within the group. Use this to review or manage user group associations.
HTTP method and endpoint
GET /usergroups/{usergroup_id}/users/{user_id}
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
usergroup_id |
string |
path |
True |
ID of the user group.
|
user_id |
string |
path |
True |
ID of the user.
|
Response
Status: 200, Returns the stored user in the JSON response body if it belongs to the user group.
| Name | Type | Required | Description |
|---|---|---|---|
aadId |
string |
False |
User AAD ID. |
auth0Id |
string |
False |
User auth0 ID. |
description |
string |
False |
JSON string containing the description of the user. Defined values are: * Minimum length: 1 * Maximum length: 300 * This string is internally validated to prevent XSS, Unicode, directory traversal, and SQL-injection attacks. |
editable |
string |
False |
partner organization is editable or not. |
id |
string |
True |
Globally unique identifier of the resource. Defined values are:
|
isSystem |
string |
False |
Specifies if an object is system generated. Defined values are:
|
legacyId |
string |
False |
Unique identifier as understood by the previous version of this service. |
links |
array[type_bxp_link] |
False |
|
metadata |
False |
Metadata associated with the resource. |
|
name |
string |
False |
User name. |
ownerOrganizationId |
string |
True |
JSON string containing the ID of the organization. |
partner |
string |
False |
partner organization name. |
serviceAccount |
False |
Properties specific to users with userType=serviceAccount. The audience, expirationNotificationPeriod, and publicKeys properties are only applicable when authenticationMethod=PRIVATE_KEY_JWT. |
|
state |
string |
False |
Current state of the user. Defined values are: ** "ACTIVE" ** "INACTIVE" |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) representing metadata for the user. |
type |
string |
True |
Media type of the resource. Defined values are:
|
userType |
string |
False |
Type of user. |
version |
string |
True |
Version of the resource. Defined values are:
|
Example response
{
"auth0Id": "waad|KBX6WeLgdwlmGyte01rm6Mvc7J-vYwyXHLL5jjtRltM",
"description": "Adding user to NetApp Sales Territory",
"id": "666a3f38-d4fa-5b62-a391-a69029758d32",
"isServiceAccount": false,
"metadata": {
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269",
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"labels": [],
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"modifiedBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
},
"name": "user-1",
"state": "ACTIVE",
"tags": [
{
"internal:bxp:usergroupId": "777a3f38-d4fa-5b62-a391-a69029758d32"
}
],
"type": "application/vnd.netapp.bxp.user",
"version": "1.0"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Definitions
See Definitions
accept-post
Provides details about which media types are accepted when creating a resource.
accept-put
Indicates details about what media types are accepted when updating a resource.
hints
| Name | Type | Required | Description |
|---|---|---|---|
accept-post |
False |
Provides details about which media types are accepted when creating a resource. |
|
accept-put |
False |
Indicates details about what media types are accepted when updating a resource. |
|
allow |
array[string] |
False |
An array of methods that can be used to interact with the link target. Defined values for collections: "POST" - Indicates if new resources can be created in the collection. Defined values for resources: "PUT" - Indicates if the resource can be modified "DELETE" - Indicates if the resource can be deleted |
permissions |
array[string] |
False |
List of the permissions required to use the link. |
status |
string |
False |
Indicates if the target of the link is deprecated. Defined values are: "deprecated" |
targetSchema
Link to a JSON schema that can be used to validate the target of the link (response body).
The preferred format is a $ref link to an external schema.
This field is optional and should only be included when there is a known schema for the target of the href.
See https://json-schema.org/draft/2019-09/json-schema-hypermedia.html#rfc.section.9.2 for more details.
type_bxp_link
Link relationship
| Name | Type | Required | Description |
|---|---|---|---|
hints |
False |
||
href |
string |
True |
String describing a relative URI. |
rel |
string |
True |
The type of relationship for the link. Values are defined in the IANA Link Relationships registry, or an extension relationship type as specified in section 2.1.2 of RFC 8288. |
targetSchema |
False |
Link to a JSON schema that can be used to validate the target of the link (response body). The preferred format is a $ref link to an external schema. This field is optional and should only be included when there is a known schema for the target of the href. See https://json-schema.org/draft/2019-09/json-schema-hypermedia.html#rfc.section.9.2 for more details. |
|
title |
string |
False |
Label of a link such that it can be used as a human-readable identifier (e.g., a menu entry). Minimum length: 0 Maximum length: 1023 |
type |
string |
False |
The media type of the target of the href. This field is optional and should be included when there is a known media type for the target of the href. See https://developer.mozilla.org/en-US/docs/Web/HTML/Element/link for more details. |
type_bxp_label
Name/value pair.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the label. |
value |
string |
True |
Value of the label. |
type_bxp_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
createdBy |
string |
False |
UUID of the user who created the resource. |
creationTimestamp |
string |
False |
Resource creation date. |
labels |
array[type_bxp_label] |
False |
Array of name/value pairs representing additional information for the resource. |
modificationTimestamp |
string |
False |
Resource modification date. |
modifiedBy |
string |
False |
UUID of the user who modified the resource. |
user_1.0_public_key_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
audience |
string |
False |
The value that must be included in the 'audience' claim of the private key JWT token. |
credentialId |
string |
False |
The Auth0 credential ID associated with the public key. |
expirationTimestamp |
string |
False |
The date and time when the public key expires. |
fingerprint |
string |
False |
The SHA-1 fingerprint of the public X.509 certificate or RSA key that was provided for the public key. |
id |
string |
True |
Globally unique identifier of the resource conforming to the UUIDv4 schema. |
keyType |
string |
False |
Type of the public key. Defined values are:
|
metadata |
False |
Metadata associated with the resource. |
|
state |
string |
False |
The state of the public key. Defined values are:
|
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource. Defined values are:
|
serviceAccount
Properties specific to users with userType=serviceAccount. The audience, expirationNotificationPeriod, and publicKeys properties are only applicable when authenticationMethod=PRIVATE_KEY_JWT.
| Name | Type | Required | Description |
|---|---|---|---|
audience |
string |
False |
The value that must be included in the 'audience' claim of the private key JWT token. |
authenticationMethod |
string |
False |
Authentication method used by the service account. Defined values are:
|
expirationNotificationPeriod |
string |
False |
The time period when expiration notifications are generated. Defined values are:
|
publicKeys |
False |
List of public keys associated with the service account. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |